View Issue Details

IDProjectCategoryView StatusLast Update
0007090MediaMonkey (current)DLNA/UPnPpublic2012-12-18 04:25
ReporterLudek 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version4.0 
Target Version4.1Fixed in Version4.1 
Summary0007090: Ability to control remote players via UPnP/DLNA
DescriptionIn MediaMonkey you can:
1. Set up own media server
2. Control MediaMonkey's player by using another client (via MediaMonkey renderer)
3. Play music from media servers by using MediaMonkey's player

BUT, you cannot set up active renderer for browsed server so that you could control remote player by using MedaMonkey player
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=6&t=54432
http://www.mediamonkey.com/forum/viewtopic.php?f=4&t=59004
http://mediamonkey.com/forum/viewtopic.php?f=4&t=60055
TagsNo tags attached.
Fixed in build1611

Relationships

related to 0007777 closedLudek MediaMonkey (current) MediaMonkey Renderer issues 
related to 0008066 closedLudek MediaMonkey (current) uPnP/DLNA: Using WMP Push Playback track info is incorrect 
parent of 0009036 closedLudek MediaMonkey 5 Ability to control more remote players at once (from a single instance of MediaMonkey) 
parent of 0010247 closedLudek MediaMonkey (current) Select Player repeats same song 
parent of 0010246 closedLudek MediaMonkey (current) Sometimes wrong song is played on double-click when using external player 
parent of 0010248 closedLudek MediaMonkey (current) Select Player fails to stop on stop in MediaMonkey 
parent of 0010249 closedLudek MediaMonkey (current) Turning off external player doesn't allow MediaMonkey to play on internal player 
parent of 0010258 closedLudek MediaMonkey (current) Select Player misses tags on client for some songs 
parent of 0010259 closedLudek MediaMonkey (current) Play Now has no effect (regression) 
parent of 0010261 closedLudek MediaMonkey (current) Artwork in MM Player blinking when external client not playing file 
related to 0010179 closedLudek MediaMonkey (current) LG 42 LM 660S plays video as audio when selected as remote player 

Activities

jiri

2011-01-06 16:29

administrator   ~0022218

As discussed over IM, it seems that for MM 4.0 it makes most sense to implement a basic 'Play To...' command, that would send the selected track(s) to given device (renderer). Based on the feedback on the feature, we could implement more for future versions, like:
1. Remote control of volume
2. Better remote management of playback queue.
However, this would probably too complex to design for MM 4.0 and it's isn't clear whether users would even need it.

Ludek

2011-01-06 17:21

developer   ~0022219

Last edited: 2011-01-06 17:22

View 3 revisions

As discussed over IM, WMP's "Play to..." allows to control volume and Now Playing list, see the third screenshot here: http://gizmodo.com/5146859/windows-7-windows-media-player-12-play-to-and-media-compatibility where every remote player has its own Window with NP and virtual player.

Ludek

2011-01-07 16:11

developer   ~0022227

As discussed over IM,
implementing this similarly to WMP requires also some skin changes (each renderer needs to have its own skinned player) and thus proper implementation isn't trivial and includes also some work for skinners, therefore we are changing target to 4.1

peke

2011-02-22 22:52

developer   ~0023335

We should also consider adding global NP and player Control where any changes to MM player will automatically reflect selected (multiple) renderers.

NOTE: this is often requested feature where users wants to play/control all rooms in the house from single PC and MM.

Example: I start Play Queen and all Renderers in the house Plays track I played on my PC and share same playlist.

lowlander

2011-05-13 16:37

developer   ~0025169

The ability to right click on Player and select any or all DLNA renderers and/or MediaMonkey Player would be an excellent feature and would as Peke mentions fulfill the need many have to stream music to multiple locations at the same time. This however is different from the Play To functionality in Windows where a different player is used for each DLNA client. I also wonder if it is even possible to have multiple renderers play the same content at the exact same time.

peke

2011-07-03 23:13

developer   ~0026496

Last edited: 2011-07-03 23:16

View 2 revisions

Assigned to you for post 4.0 investigation if there is possibility to control several Renderers at time.

peke

2011-07-03 23:15

developer   ~0026497

@lowlander
There will be delay I think like there is delay with using shoutcast/icecast streams, but at least it should/would be possible to do.

Ludek

2012-01-23 13:08

developer   ~0030022

Last edited: 2012-01-23 13:09

View 2 revisions

Yes, there would be a delay, i.e. two renderers would be desynchronized say half a seconds when streaming the same content.

For now, I am implementing at least the basic "switch player" feature as suggested by Martin (via right click on Player). We will see if we can do more then.

Ludek

2012-01-27 22:39

developer   ~0030126

Last edited: 2012-01-29 20:34

View 3 revisions

Ability to control remote players is implemented in build 1600 via right-click on the player -> 'Select Player' option.

I opened 0009036 for the additional feature requests.

peke

2012-03-15 12:05

developer   ~0030677

Verified 1600

Ludek

2012-12-05 23:00

developer   ~0033686

Last edited: 2012-12-05 23:05

View 2 revisions

Re-opened, it seems that it is no longer working:
http://forum.mediamonkey.com/viewtopic.php?f=6&t=68916

Ludek

2012-12-05 23:10

developer   ~0033688

Actually I found that it works, but you need to play tracks from the Media Servers node.

i.e. you need to play tracks from a media server, it doesn't work for local tracks although I think it has never worked for local tracks as they needs to be sent as URIs and when MMW server is not running then it would fail anyway.

Nevertheless in MM 4.1 we have MMW server running by default, so we should fix it so that it works for local tracks too.

Ludek

2012-12-06 11:31

developer   ~0033693

Fixed playback of local library files in build 1610.

i.e. If the file path is not URI, then MM checks whether it is library file and whether a server is running, if both condition are true then it creates URI for the file and serve. Otherwise if it is not a library file or no MM server is running then the file is skipped.

Added in 1610.

Ludek

2012-12-06 12:15

developer   ~0033695

Last edited: 2012-12-06 16:15

View 3 revisions

Re-opened as metadata isn't properly shown on some remote players (e.g. BubbleUPnP)

Fixed in 1610.

Ludek

2012-12-07 16:34

developer   ~0033722

+ fixed (in build 1611) some others tweaks that could eventually cause issues with some renderers

Ludek

2012-12-08 19:37

developer   ~0033768

Last edited: 2012-12-08 19:37

View 2 revisions

+also fixed some others video playback issues in build 1611 ( 0010179 )

Ludek

2012-12-11 17:27

developer   ~0033827

Last edited: 2012-12-11 18:01

View 3 revisions

+ fixed issues with paused playback (in build 1611)

peke

2012-12-18 04:25

developer   ~0033950

Verified 1614